Summary:	Command line tool that displays bandwidth usage on an interface
Name:		iftop
Version:	0.17
Release:	12%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://www.ex-parrot.com/~pdw/%{name}/
Source:		http://www.ex-parrot.com/~pdw/%{name}/download/%{name}-%{version}.tar.gz
Patch0:		iftop-0.17-bandwidth.patch
Patch1:		iftop-0.17-man-typos.patch
Patch2:		iftop-0.17-ncursesw.patch
Patch3:		iftop-0.17-fixtree.patch
Patch4:		iftop-0.17-synopsis.patch
Patch5:		iftop-0.17-arm.patch
Patch6:		iftop-0.17-frozen-order.patch
Patch7:		iftop-0.17-bar-display.patch
Patch8:		iftop-0.17-stringmap.patch
Patch9:		iftop-0.17-ipv6-ll.patch
BuildRequires:	ncurses-devel, %{_includedir}/pcap.h, autoconf, automake
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
%setup -q
%patch0 -p1 -b .bandwidth
%patch1 -p1 -b .man-typos
%patch2 -p1 -b .ncursesw
%patch3 -p1 -b .fixtree
%patch4 -p1 -b .synopsis
%patch5 -p1 -b .arm
%patch6 -p1 -b .frozen-order
%patch7 -p1 -b .bar-display
%patch8 -p1 -b .stringmap
%patch9 -p1 -b .ipv6-ll
autoreconf -f

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%changelog
* Fri Nov 19 2010 Robert Scheck <robert@fedoraproject.org> 0.17-12
- Updated man page patch to correct some further man page typos
- Added two patches to avoid two crashes on arm architectures
- Added patch to fix drives line going crazy if order is frozen
- Added a patch to turns off the bar display using -b option
- Fixed a segfault when using same argument repeatedly (#654343)
- Added patch from Mats Erik Andersson to add IPv6 support
- Added patch to use better hash algorithm in address pairs

* Sat Jul 10 2010 Robert Scheck <robert@fedoraproject.org> 0.17-11
- Corrected the wrong synopsis for -F/-N parameter (#601087 #c3)
- Added patch to avoid pointer with free(ed) memory (#601087 #c2)

* Thu Apr 01 2010 Robert Scheck <robert@fedoraproject.org> 0.17-10
- Link against ncursesw for lines with UTF-8 and PuTTY (#546032)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 0.17-8
- Rebuild against gcc 4.4 and rpm 4.6

* Sun Feb 10 2008 Robert Scheck <robert@fedoraproject.org> 0.17-7
- Rebuild against gcc 4.3

* Tue Aug 28 2007 Robert Scheck <robert@fedoraproject.org> 0.17-6
- Buildrequire %%{_includedir}/pcap.h instead of conditionals
- Patch to display top scale in bytes when measuring in bytes

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.17-5
- fix license tag
- rebuild for BuildID

* Wed Nov 29 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.17-4
- rebuild

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.17-3
- rebuild

* Thu Jun 15 2006 Aurelien Bompard <gauret[AT]free.fr> 0.17-2
- buildrequire libpcap-devel from FC6 on

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.17-1
- version 0.17

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.16-7
- rebuild for fc5

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 0.16-6
- rebuild for libpcap

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.16-5
- rebuild and add disttag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jun 04 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.16-0.fdr.3
- use make install

* Thu Jun 03 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.16-0.fdr.2
- remove useless BuildRequires: texinfo

* Sat May 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.16-0.fdr.1
- Initial RPM release.
